org.bdgenomics.adam.models

# SequenceRecord

#### object SequenceRecord extends Serializable

Companion object for creating Sequence Records.

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. SequenceRecord
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### def apply(name: String, length: Long, md5: String = null, url: String = null, refseq: String = null, genbank: String = null, assembly: String = null, species: String = null, referenceIndex: Option[Int] = None): SequenceRecord

   Java friendly apply method that wraps null strings.

   Java friendly apply method that wraps null strings.

   name

     The name of the contig.

   length

     The length of the contig.

   md5

     If available, the MD5 checksum for the contig.

   url

     If available, the URL the contig is accessible from.

   refseq

     If available, the REFSEQ ID for the contig.

   genbank

     If available, the Genbank ID for the contig.

   assembly

     If available, the assembly name for the assembly this contig is from.

   species

     If available, the species this contig was assembled from.

   referenceIndex

     If available, the number of this contig in a set of contigs.

   returns

     Returns a new SequenceRecord where all strings except for name are wrapped in Options to check for null values.

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### def fromADAMContig(contig: Contig): SequenceRecord

    Builds a sequence record from an Avro Contig.

    Builds a sequence record from an Avro Contig.

    contig

      Contig record to build from.

    returns

      This Contig record as a SequenceRecord.

13. #### def fromADAMContigFragment(fragment: NucleotideContigFragment): SequenceRecord

    Extracts the contig metadata from a nucleotide fragment.

    Extracts the contig metadata from a nucleotide fragment.

    fragment

      The assembly fragment to extract a SequenceRecord from.

    returns

      The sequence record metadata from a single assembly fragment.

14. #### def fromSAMSequenceRecord(record: SAMSequenceRecord): SequenceRecord

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### final def notify(): Unit

    Definition Classes
      AnyRef

20. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### def toString(): String

    Definition Classes
      AnyRef → Any

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped